import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.index-of.js";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import * as React from 'react';
import { Notification } from '@megafon/ui-core';
import { cnCreate } from '@megafon/ui-helpers';
import "./NotificationBox.css";
export var Align = {
  LEFT: 'left',
  CENTER: 'center'
};
var cn = cnCreate('mfui-9-notification-box');
var NotificationBox = function NotificationBox(_a) {
  var _a$align = _a.align,
    align = _a$align === void 0 ? 'left' : _a$align,
    restProps = __rest(_a, ["align"]);
  return /*#__PURE__*/React.createElement("div", {
    className: cn({
      align: align
    })
  }, /*#__PURE__*/React.createElement("div", {
    className: cn('notification')
  }, /*#__PURE__*/React.createElement(Notification, restProps)));
};
export default NotificationBox;